[PHP] agent install error on arm64 aarch64 type server

Hi Team!
I am trying to install new relic php agent on aws ubuntu arm64 (aarch64) type instance. But i am unable to install it, it shows this error:
E: Unable to locate package newrelic-php5
But this installation working fine for amd64(x86_64).
Is there a way or any support available to install this new relic php agent on arm64 (aarch64) instance. or it has a different method to install this agent. Can someone please tell the steps how to do it ?
Looking forward for a quick response because i am stuck to install it on production server.

Thanks,

Hello there!

I have been looking into this for you and unfortunately, our PHP Agent installation with an ARM processor is not supported at this time. The PHP agent is only available for Intel platforms (x86 and x86_64).

Please refer to PHP agent compatibility and requirements for more details.

The good news is that the agent is now available as open source. So it should be possible to compile for ARM.

Please note that New Relic does not offer support for it, as we don’t officially support ARM binaries.

Link to the agent’s Github page:

All our open source projects can be discussed [here].

I hope you find this information helpful!